## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Interface SybasePrivilege

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Privilege, SQLObject

All Known Subinterfaces:
  SybaseASEPrivilege

All Known Implementing Classes:
  SybaseASEPrivilegeImpl, SybasePrivilegeImpl

    public interface SybasePrivilege

extends Privilege

A representation of the model object 'Sybase Privilege'.

The following features are supported:

- `Revoked`

See Also:
  `SybasesqlmodelPackage.getSybasePrivilege()`

Method Summary
`boolean` `isRevoked()` Returns the value of the 'Revoked' attribute.
`void` `setRevoked(boolean value)` Sets the value of the '`Revoked`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.Privilege
`getAction, getActionObjects, getGrantee, getGrantor, getObject, isGrantable, isWithHierarchy, setAction, setGrantable, setGrantee, setGrantor, setObject, setWithHierarchy`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isRevoked

    boolean isRevoked()

  Returns the value of the 'Revoked' attribute.

  If the meaning of the 'Revoked' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Revoked' attribute.
  See Also:
    `setRevoked(boolean)`, `SybasesqlmodelPackage.getSybasePrivilege_Revoked()`

### setRevoked

    void setRevoked(boolean value)

  Sets the value of the '`Revoked`' attribute.

  Parameters:
    `value` - the new value of the 'Revoked' attribute.
  See Also:
    `isRevoked()`